
#include "utilities.h"

int str_len(char* s) { // returns length of string, s, without null
    int ctr = 0;
    while(*s != 0) {
        ctr++;
        s++;
    }
    return ctr;
}
char i_to_ascii_nib(char nibble){ // converts a 4 bit integer to ascii 0-F
    if ((nibble & 0x0f) < 0x0a) return (nibble & 0x0f) + 48;
    else return (nibble & 0x0f) + 55;    
    }

char ascii_nib_to_i(char nibble) { // converts an ASCII hex nibble to integer 0-F
    if ((nibble > 47) & (nibble < 58)) return (nibble - 48);
    if ((nibble > 64) & (nibble < 71)) return (nibble - 55);
    return 0xf0; // if not valid hex character
}
char ucase(char c) { // converts c to upper case
    if (c >= 'a' && c <= 'z') c -= 32;
    return c;
}

int str_match(char *str1, char *str2, int len, int ignore_case) {
    int i;
    for (i = 0; i < len; i++) {
        if (ignore_case) {
            if (ucase(str1[i]) != ucase(str2[i])) return 0;
        } else if (str1[i] != str2[i]) return 0;
    }
    return 1;
}

char* copy_string(char* dest, char* src) {
    while(*src) {
        *dest = *src;
        src++;
        dest++;
    } 
    *dest = '\0';
    return dest;
}
